{{ define "main" }}

{{ partial "navigation.html" . }}

<section class="section single-section">
  <div class="container">
    <div class="row section-bg">
      <div class="col-lg-8 offset-lg-2 text-center">
        <h1 class="my-3">{{ .Title }}</h1>
        <ul class="list-inline mb-50">
          <li class="list-inline-item"><a href="{{ `author/` | relLangURL }}{{ .Params.Author | urlize }}/">{{ .Params.Author }}</a></li>
          <li class="list-inline-item">{{ dateFormat "Monday, Jan 2, 2006" .Date }}</li>
        </ul>
        
        {{ if .Params.skip_image }}
          <!--  skipping images -->
        {{ else }} 
        {{ with .Params.image }}
          {{ $image := resources.Get . }}          
          {{ $image := $image.Fill "1200x848 center" }} 	            
          <img class="w-100 mb-50 lozad" data-src="{{ $image.Permalink }}" alt="blog-image">
          <noscript><img class="w-100 mb-50" src="{{ $image.Permalink }}" alt="blog-image"></noscript>
        {{ end }}

        {{ range .Params.extimages }}
        <img class="w-100 mb-50 lozad" data-src="{{ . }}" alt="blog-image">
        <noscript><img class="w-100 mb-50" src="{{ . }}" alt="blog-image"></noscript>
        {{ end }}

        {{ range .Params.images }}
          {{ $image := resources.Get . }}          
          {{ $image := $image.Fill "1200x848 center" }} 		
          <img class="w-100 mb-50 lozad" data-src="{{ $image.Permalink }}" alt="blog-image">
          <noscript><img class="w-100 mb-50" src="{{ $image.Permalink }}" alt="blog-image"></noscript>
        {{ end }}
        
        {{ end }}
        
        {{ range .Params.embed_videos }}
          {{ $video := resources.Get . }}
          <iframe class="video-embed" width="560" height="315" src="{{ . }}" frameborder="0" allowfullscreen="" sandbox="allow-same-origin allow-scripts allow-popups"></iframe>
        {{ end }}
      </div>
      <div class="col-lg-8 offset-lg-2">
        <div class="post-single-content text-justify">
          {{ .Content }}
        </div>
        <div class="post-single more-images">
        
        {{ range .Params.more_images }}
        {{ $mimage := . }}
        {{ with resources.Match $mimage }}
				{{ range $index, $element := . }}

				{{ if in .RelPermalink "images" }}
				{{ $image := $element.Fill "1280x720 center" }}

				<div class="thumbnail">
					<a href="{{ $element.RelPermalink }}">
						<img src="{{ $image.RelPermalink }}" class="img-responsive d-block w-100" {{ with $image.Exif }}
							alt="{{ .Date }}" {{ end }} />
					</a>
				</div>
				<br />
				{{ end }}
				{{ end }}
				{{ end }}
				{{ end }}
        
        </div>

        {{ range .Params.embed_videos_after }}
          {{ $video := resources.Get . }}
          <iframe class="video-embed" width="560" height="315" src="{{ . }}" frameborder="0" allowfullscreen="" sandbox="allow-same-origin allow-scripts allow-popups"></iframe>
        {{ end }}

        {{ if site.Params.post_share }}
        {{ partial "post-share.html" . }}
        {{ end }}
        <!-- comments -->
        <div class="mt-5">
          {{ template "_internal/disqus.html" . }}
        </div>

        {{ if .Params.enable_contact_form }}
        {{ partial "contact.html" . }}
        {{ end }}

        {{ if .Params.redirect_to }}
          <h2>Redirecting to...</h2>
          <a href="{{ .Params.redirect_to }}">{{ .Params.redirect_to }}</a>
          <script>location='{{ .Params.redirect_to }}'</script>
         {{ end }}
      </div>
    </div>
  </div>
</section>

{{ end }}
